bionic/linux-oem-osp1: 5.0.0-1020.22 -proposed tracker

Bug #1840815 reported by Kleber Sacilotto de Souza on 2019-08-20
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Timo Aaltonen
Prepare-package-lrm
Medium
Timo Aaltonen
Prepare-package-meta
Medium
Timo Aaltonen
Prepare-package-signed
Medium
Timo Aaltonen
Promote-to-proposed
Medium
Andy Whitcroft
Promote-to-security
Medium
Andy Whitcroft
Promote-to-updates
Medium
Andy Whitcroft
Regression-testing
Medium
Po-Hsu Lin
Security-signoff
Medium
Canonical Security Team
Verification-testing
Medium
Canonical Kernel Team
linux-oem-osp1 (Ubuntu)
Undecided
Unassigned
Bionic
Medium
Unassigned

Bug Description

This bug will contain status and test results related to a kernel source (or snap) as stated in the title.

For an explanation of the tasks and the associated workflow see:
  https://wiki.ubuntu.com/Kernel/kernel-sru-workflow

-- swm properties --
boot-testing-requested: true
kernel-stable-master-bug: 1840816
packages:
  lrm: linux-restricted-modules-oem-osp1
  main: linux-oem-osp1
  meta: linux-meta-oem-osp1
  signed: linux-signed-oem-osp1
phase: Complete
phase-changed: Tuesday, 03. September 2019 13:42 UTC
proposed-announcement-sent: true
proposed-testing-requested: true
variant: debs

tags: added: bionic kernel-release-tracking-bug
Changed in linux-oem-osp1 (Ubuntu Bionic):
status: New → Confirmed
Changed in linux-oem-osp1 (Ubuntu):
status: New → Invalid
Changed in linux-oem-osp1 (Ubuntu Bionic):
importance: Undecided → Medium
tags: added: kernel-release-tracking-bug-live
description: updated
tags: added: kernel-sru-cycle-2019.08.12-4
description: updated
tags: added: kernel-sru-backport-of-1840816
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
summary: - linux-oem-osp1: <version to be filled> -proposed tracker
+ bionic/linux-oem-osp1: <version to be filled> -proposed tracker
description: updated
description: updated
Timo Aaltonen (tjaalton) on 2019-08-22
summary: - bionic/linux-oem-osp1: <version to be filled> -proposed tracker
+ bionic/linux-oem-osp1: 5.0.0-1020.22 -proposed tracker
description: updated
description: updated
description: updated
description: updated
tags: added: block-proposed-bionic
tags: added: block-proposed
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
Po-Hsu Lin (cypressyew) wrote :

5.0.0-1020.22 - oem-osp1
Regression test CMPL, RTB.

56 / 57 tests were run, missing: ubuntu_ltp
Issue to note in amd64:
  ubuntu_kernel_selftests - ip_defrag in net (bug 1826848)
  ubuntu_ltp_syscalls - sync_file_range02 (bug 1819116)
  ubuntu_lttng_smoke_test - lttng module issue (bug 1841766)
  xfstests - timed out on ext4 generic/430 test (bug 1755999)

Note: Missing ubuntu_ltp as it will hang on amaura (hang with mm, bug 1836149)

tags: added: regression-testing-passed
description: updated
description: updated
description: updated
tags: removed: block-proposed-bionic
tags: removed: block-proposed
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-osp1 - 5.0.0-1020.22

---------------
linux-oem-osp1 (5.0.0-1020.22) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1020.22 -proposed tracker (LP: #1840815)

  [ Ubuntu: 5.0.0-27.28 ]

  * disco/linux: 5.0.0-27.28 -proposed tracker (LP: #1840816)
  * [Potential Regression] System crashes when running ftrace test in
    ubuntu_kernel_selftests (LP: #1840750)
    - x86/kprobes: Set instruction page as executable

 -- Timo Aaltonen <email address hidden> Thu, 22 Aug 2019 13:55:10 +0300

Changed in linux-oem-osp1 (Ubuntu Bionic):
status: Confirmed → Fix Released
description: updated
description: updated
description: updated
description: updated
description: updated

All tasks have been completed and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
tags: removed: kernel-release-tracking-bug-live
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-osp1 - 5.0.0-1022.24

---------------
linux-oem-osp1 (5.0.0-1022.24) bionic; urgency=medium

  [ Ubuntu: 5.0.0-29.31 ]

  * powerpc/tm: Fix restoring FP/VMX facility incorrectly on interrupts
    (CVE-2019-15031) / powerpc/tm: Fix FP/VMX unavailable exceptions inside a
    transaction (CVE-2019-15030) (LP: #1843533) // CVE-2019-15031
    - powerpc/tm: Fix FP/VMX unavailable exceptions inside a transaction
    - powerpc/tm: Fix restoring FP/VMX facility incorrectly on interrupts
  * CVE-2019-14835
    - vhost: fix dirty log buffer overflow
  * Packaging resync (LP: #1786013)
    - [Packaging] resync getabis

 -- Stefan Bader <email address hidden> Thu, 12 Sep 2019 20:27:12 +0200

Changed in linux-oem-osp1 (Ubuntu):
status: Invalid → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers